/***************************************************************************
                             graphnode.cpp
                             -------------------
    begin                : Fri Jun 10 2005
    copyright            : (C) 2005 by Elad Lahav
    email                : elad_lahav@users.sf.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qpainter.h>
#include <qfontmetrics.h>
#include "graphnode.h"

int GraphNode::RTTI = 1001;

/**
 * Class constructor.
 * @param	pCanvas	The owner canvas
 * @param	pNode	The graph node
 */
GraphNode::GraphNode(QCanvas* pCanvas, Agnode_t* pNode) :
	QCanvasPolygon(pCanvas),
	m_pNode(pNode)
{
}

/**
 * Class destructor.
 */
GraphNode::~GraphNode()
{
}

/**
 * Draws the node.
 * @param	painter	Used for drawing the item on the canvas view
 */
void GraphNode::draw(QPainter& painter)
{
	QFontMetrics fm(m_font);
	QPoint pt;
	
	// Draw the polygon
	painter.setPen(QPen(Qt::black));
	painter.setBrush(brush());
	painter.drawConvexPolygon(points());
	
	// Draw the text
	painter.setPen(pen());
	painter.setFont(m_font);
	pt.setX(m_ptTextPos.x() - fm.width(m_sText) / 2);
	pt.setY(m_ptTextPos.y());
	painter.drawText(pt, m_sText);
}
