/***************************************************************************
                             graphprefdlg.cpp
                             -------------------
    begin                : Tue Sep 27 2005
    copyright            : (C) 2005 by Elad Lahav
    email                : elad_lahav@users.sf.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qspinbox.h>
#include "graphprefdlg.h"
#include "preferencesdlg.h"
#include "kscopeconfig.h"

/**
 * Class constructor.
 * @param	pParent	The parent widget
 * @param	szName	The widget's name
 */
GraphPrefDlg::GraphPrefDlg(QWidget* pParent, const char* szName) :
	GraphPrefLayout(pParent, szName, true, 0)
{
	m_pMaxDegSpin->setValue(Config().getGraphMaxNodeDegree());
}

/**
 * Class destructor.
 */
GraphPrefDlg::~GraphPrefDlg()
{
}

/**
 * @return	The maximal degree value set in the spin box
 */
int GraphPrefDlg::getMaxNodeDegree()
{
	return m_pMaxDegSpin->value();
}

/**
 * Displays the general preferences dialogue, showing the "Colours" page.
 * This slot is connected to the clicked() signal of the colours button.
 */
void GraphPrefDlg::slotFontClicked()
{
	PreferencesDlg dlg(PreferencesDlg::Fonts);
	
	dlg.exec();
}

/**
 * Displays the general preferences dialogue, showing the "Fonts" page.
 * This slot is connected to the clicked() signal of the fonts button.
 */
void GraphPrefDlg::slotColorClicked()
{
	PreferencesDlg dlg(PreferencesDlg::Colors);
	
	dlg.exec();
}

#include "graphprefdlg.moc"

