/***************************************************************************
                             graphviz.h
                             -------------------
    begin                : Fri Jun 10 2005
    copyright            : (C) 2005 by Elad Lahav
    email                : elad_lahav@users.sf.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GRAPHVIZ_H
#define GRAPHVIZ_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

class GraphWidget;

#define _PACKAGE_ast	0
#define _dll_import		0
#define _DLL_BLD		0
#define _BLD_cdt		0
#define _hdr_stddef		0
#define _hdr_stdarg		0
#define _hdr_varargs	0

#ifdef GRAPHVIZ_2_2

#include <dotneato.h>
#include <pack.h>

#else

#include <gvc.h>
#include <geom.h>

// NOTE:
// Defined here instead of including pack.h which depends on the non-
// distributed file render.h
// This bug was already fixed in Graphviz, but the fix may not have propagated
// to all distributions.
extern "C" {
extern Agraph_t **ccomps(Agraph_t *, int *, char *);
}

#endif /* GRAPHVIZ_2_2 */

namespace Graphviz
{
	void init(char**);	
	void fini();
	void draw(GraphWidget*);
	void save(GraphWidget*, FILE*);
}

#endif /* GRAPHVIZ_H */
